跳转到主要内容
容器管理/容器管理相关接口
GETContainer Management APIs起始版本 5.1.8同步需要认证

获取IAM2项目可用的容器镜像

获取IAM2项目可用的容器镜像

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

查询参数

请求参数

路径参数

  • projectIdString必填

    暂无描述。

  • repositoryIdString必填

    暂无描述。

查询参数

  • limitInteger

    最多返回的记录数。

  • startInteger

    暂无描述。

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • inventoriesList必填

    容器镜像列表

  • totalInteger必填

    结果总数

  • nameString必填

    镜像名称

  • tagCountInteger必填

    标签数量

  • pullCountInteger必填

    拉取次数

  • createTimeString必填

    创建时间

  • updateTimeString必填

    更新时间

请求地址

GET/zstack/v1/iam2/project/{projectId}/repository/{repositoryId}/image

/zstack/v1/iam2/project/{projectId}/repository/{repositoryId}/image

操作 ID

GetIAM2ProjectContainerImages

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/iam2/project/{projectId}/repository/{repositoryId}/image?limit=1&start=1&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "inventories": [ { "name": "image", "tagCount": 3, "pullCount": 10, "createTime": "2026-05-22T10:00:00Z", "updateTime": "2026-05-22T10:30:00Z" } ], "total": 1 }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史